INTERFACE
SUBROUTINE GPGRP(&
 & LDVERCOR,&
 & KPROMA,KPROMVC,KPROMNH,KSTART,KPROF,KFLEV,&
 & PRT,PRTL,PRTM,PRDELP,PREL,PREM,PRTGR,&
 & PLNPR,PLNPRL,PLNPRM,PALPH,PALPHPLL,PALPHPLM,&
 & PDELNHPRE,PLNNHPREFL,PLNNHPREFM,&
 & PRNHPPI,PQCHAL,PQCHAM,&
 & PHIHL,PHIHM,PHIFL,PHIFM,&
 & PVCTSF,PVCTSFL,PVCTSFM,PVCMUSF,PVCMUSFL,PVCMUSFM,&
 & PSGRTL,PSGRTM,PSGRTSL,PSGRTSM,&
 & LDRWSDLR,PRDLR) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PAR_RDLR , ONLY : JP_RSAF ,JP_DIMR
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMVC
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMNH
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
LOGICAL ,INTENT(IN) :: LDVERCOR
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PRT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PREL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PREM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHPLL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHPLM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELNHPRE(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNNHPREFL(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNNHPREFM(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRNHPPI(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCHAL(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQCHAM(KPROMNH,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIHL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIHM(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIFM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCTSF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCTSFL(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCTSFM(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCMUSF(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCMUSFL(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVCMUSFM(KPROMVC,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTSL(KPROMNH)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSGRTSM(KPROMNH)
LOGICAL,OPTIONAL ,INTENT(IN) :: LDRWSDLR
REAL(KIND=JPRB),OPTIONAL,INTENT(IN) :: PRDLR(KPROMA,0:KFLEV,JP_DIMR)
END SUBROUTINE GPGRP
END INTERFACE
